/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

/**
 * @author Going Dot Com Inc.
 */
class XbItemLabelObj {
    // グループID
    private String taxGrpId;
    // タクソノミーID
    private String taxId;
    // アイテムID
    private String itemId;
    // 表示言語
    private String lang;
    // 表示名
    private String value;

    /**
     * itemIdを取得します。
     * @return itemId
     */
    String getItemId() {
        return itemId;
    }

    /**
     * itemIdを設定します。
     * @param itemId itemId
     */
    void setItemId(String itemId) {
        this.itemId = itemId;
    }

    /**
     * langを取得します。
     * @return lang
     */
    String getLang() {
        return lang;
    }

    /**
     * langを設定します。
     * @param lang lang
     */
    void setLang(String lang) {
        this.lang = lang;
    }

    /**
     * taxGrpIdを取得します。
     * @return taxGrpId
     */
    String getTaxGrpId() {
        return taxGrpId;
    }

    /**
     * taxGrpIdを設定します。
     * @param taxGrpId taxGrpId
     */
    void setTaxGrpId(String taxGrpId) {
        this.taxGrpId = taxGrpId;
    }

    /**
     * taxIdを取得します。
     * @return taxId
     */
    String getTaxId() {
        return taxId;
    }

    /**
     * taxIdを設定します。
     * @param taxId taxId
     */
    void setTaxId(String taxId) {
        this.taxId = taxId;
    }

    /**
     * valueを取得します。
     * @return value
     */
    String getValue() {
        return value;
    }

    /**
     * valueを設定します。
     * @param value value
     */
    void setValue(String value) {
        this.value = value;
    }
}